package ODBCBeispiele;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class CreateSuppliers {

	public static void main(String args[]) {
		String url = "jdbc:odbc:coffeebreak";
		//String url = "jdbc:odbc:coffeebreak";
		Connection con;
		String createString;
		createString =
			"create table SUPPLIERS "
				+ "(SUP_ID integer, "
				+ "SUP_NAME varchar(40), "
				+ "STREET varchar(40), "
				+ "CITY varchar(20), "
				+ "STATE char(2), ZIP char(5))";

		Statement stmt;
		System.out.println("Create Table : Suppliers");

		try {
			System.out.println("Treiber laden : ODBC");
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");

		} catch (java.lang.ClassNotFoundException e) {
			System.err.print("Treiber laden: ClassNotFoundException: ");
			System.err.println(e.getMessage());
		}

		try {
			System.out.println("Verbindung aufbauen : getConnection");
			con = DriverManager.getConnection(url, "", "");

			System.out.println("Statement vorbereiten : createStatement");
			stmt = con.createStatement();

			System.out.println("  executeUpdate('DROP TABLE SUPPLIERS')");
			stmt.executeUpdate("DROP TABLE SUPPLIERS");
			System.out.println("  executeUpdate('CREATE TABLE...')");
			stmt.executeUpdate(createString);

			System.out.println(
				"Statement abschliessen : close und Verbindung abschliessen");
			stmt.close();
			con.close();

		} catch (SQLException ex) {
			System.err.println(
				"SQLException: Fehler im SQL Bereich " + ex.getMessage());
		}
	}
}
