package ODBCBeispiele;
import java.sql.*;

public class InsertCoffees {

	public static void main(String args[]) {

		String url = "jdbc:odbc:coffeebreak";
		Connection con;
		Statement stmt;
		String query = "select COF_NAME, PRICE from COFFEES";
		System.out.println("Einfgen von Kaffee Sorten in die Tabelle");

		try {
			System.out.println("Verbindung zum Driver aufbauen");
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		} catch (java.lang.ClassNotFoundException e) {
			System.err.print("ODBC : ClassNotFoundException: ");
			System.err.println(e.getMessage());
		}

		try {
			System.out.println("Verbindung zur Datenbank aufbauen");
			con = DriverManager.getConnection(url, "", "");
			con.setAutoCommit(true);
			System.out.println("SQL Statement vorbereiten");
			stmt = con.createStatement();
			System.out.println("Daten in die Tabelle einfgen");
			stmt.executeUpdate(
				"insert into COFFEES values('Colombian', 00101, 7.99, 0, 0)");
			stmt.executeUpdate(
				"insert into COFFEES "
					+ "values('French_Roast', 00049, 8.99, 0, 0)");
			stmt.executeUpdate(
				"insert into COFFEES "
					+ "values('Espresso', 00150, 9.99, 0, 0)");
			stmt.executeUpdate(
				"insert into COFFEES "
					+ "values('Colombian_Decaf', 00101, 8.99, 0, 0)");
			stmt.executeUpdate(
				"insert into COFFEES "
					+ "values('French_Roast_Decaf', 00049, 9.99, 0, 0)");
			con.commit();
			con.close();
			stmt.close();
		} catch (SQLException ex) {
			System.err.println(
				"SQLException: "
					+ ex.getMessage()
					+ " : evtl. wurden die Daten mehrfach eingefgt");
			System.err.flush();
		}
		try {
			con = DriverManager.getConnection(url, "", "");
			stmt = con.createStatement();
			ResultSet rs = stmt.executeQuery(query);
			System.out.println("Abfrage des Kaffee-Preises");
			System.out.println("Coffee Break Kaffees und Preise:");
			String strTab = "";
			while (rs.next()) {
				String s = rs.getString("COF_NAME");
				float f = rs.getFloat("PRICE");
				strTab = "\t";
				if (s.length() < 15)
					strTab = "\t\t";
				System.out.println(s + strTab + f);
			}
			stmt.close();
			con.close();
		} catch (SQLException ex) {
			System.err.println("SQLException: " + ex.getMessage());
		}
	}
}
