package ODBCBeispiele;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.sql.*;

public class SelectCoffees {
	public static void main(String args[]) {
		System.out.println("Abfrage einer ODBC Datenbank mit Hilfe von SQL");
		String url = "jdbc:odbc:coffeebreak";
		Connection con;
		String query = "select * " + "from COFFEES";
		/* +
		"where SUPPLIERS.SUP_NAME like 'Acme, Inc.' and " +
		  "SUPPLIERS.SUP_ID = COFFEES.SUP_ID";*/
		Statement stmt;
		try {
			System.out.println("JDBC ODBC Driver");
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		} catch (java.lang.ClassNotFoundException e) {
			System.err.print("ClassNotFoundException: ");
			System.err.println(e.getMessage());
		}
		try {
			System.out.println("Verbindungsaufbau mit der Datenbank");
			con = DriverManager.getConnection(url, "", "");
			stmt = con.createStatement();
			ResultSet rs = stmt.executeQuery(query);
			ResultSetMetaData rsmd = rs.getMetaData();
			int numberOfColumns = rsmd.getColumnCount();
			System.out.println("Metadata: ");
			System.out.println("\tNumber of Columns: " + numberOfColumns);
			int rowCount = 0;

			while (rs.next()) {
				System.out.println("Zeile " + rowCount + ":  ");
				for (int i = 1; i <= numberOfColumns; i++) {
					System.out.print("   Spalte " + i + ":  ");
					System.out.println(rs.getString(i));
				}
				System.out.println("");
				rowCount++;
			}
			if (rowCount==0) System.out.println("Das ResultSet war leer");
			stmt.close();
			con.close();
		} catch (SQLException ex) {
			System.err.print("SQLException: ");
			System.err.println(ex.getMessage());
		}
	}
}
